GDB (xrefs)

Classes | Macros | Enumerations
/tmp/gdb-8.1/gdb/xtensa-tdep.h File Reference
`#include "arch/xtensa.h"`

Go to the source code of this file.

## Classes
struct | xtensa_reg_mask_t
struct | xtensa_mask_t
struct | xtensa_register_t
struct | ctype_cache
struct | gdbarch_tdep

## Macros
#define | XTENSA_TDEP_VERSION 0x60
#define | XTENSA_MAX_COPROCESSOR 0x10 /* Number of Xtensa coprocessors. */
#define | XTREG(index, ofs, bsz, sz, al, tnum, flg, cp, ty, gr, name, fet, sto, mas, ct, x, y)
#define | XTREG_END
#define | XTENSA_REGISTER_FLAGS_PRIVILEGED 0x0001
#define | XTENSA_REGISTER_FLAGS_READABLE 0x0002
#define | XTENSA_REGISTER_FLAGS_WRITABLE 0x0004
#define | XTENSA_REGISTER_FLAGS_VOLATILE 0x0008
#define | XTENSA_GDBARCH_TDEP_INSTANTIATE(rmap, spillsz)
#define | XTENSA_CONFIG_INSTANTIATE(rmap, spill_size)
#define | XCHAL_NUM_CONTEXTS 0
#define | WB_SHIFT 2

## Enumerations
enum | xtensa_register_type_t { xtRegisterTypeArRegfile = 1, xtRegisterTypeSpecialReg, xtRegisterTypeUserReg, xtRegisterTypeTieRegfile, xtRegisterTypeTieState, xtRegisterTypeMapped, xtRegisterTypeUnmapped, xtRegisterTypeWindow, xtRegisterTypeVirtual, xtRegisterTypeUnknown }
enum | xtensa_register_group_t { xtRegisterGroupUnknown = 0, xtRegisterGroupRegFile = 0x0001, xtRegisterGroupAddrReg = 0x0002, xtRegisterGroupSpecialReg = 0x0004, xtRegisterGroupUserReg = 0x0008, xtRegisterGroupState = 0x0010, xtRegisterGroupGeneral = 0x0100, xtRegisterGroupUser = 0x0200, xtRegisterGroupFloat = 0x0400, xtRegisterGroupVectra = 0x0800, xtRegisterGroupSystem = 0x1000, xtRegisterGroupNCP = 0x00800000, xtRegisterGroupCP0 = 0x01000000, xtRegisterGroupCP1 = 0x02000000, xtRegisterGroupCP2 = 0x04000000, xtRegisterGroupCP3 = 0x08000000, xtRegisterGroupCP4 = 0x10000000, xtRegisterGroupCP5 = 0x20000000, xtRegisterGroupCP6 = 0x40000000, xtRegisterGroupCP7 = 0x80000000 }
enum | xtensa_target_flags_t { xtTargetFlagsNonVisibleRegs = 0x0001, xtTargetFlagsUseFetchStore = 0x0002 }
enum | call_abi_t { CallAbiDefault = 0, CallAbiCall0Only }

## Macro Definition Documentation

## ◆ WB_SHIFT

#define WB_SHIFT 2

Definition at line 287 of file xtensa-tdep.h.

Referenced by arreg_number().

## ◆ XCHAL_NUM_CONTEXTS

#define XCHAL_NUM_CONTEXTS 0

Definition at line 282 of file xtensa-tdep.h.

## ◆ XTENSA_CONFIG_INSTANTIATE

#define XTENSA_CONFIG_INSTANTIATE | ( |  | rmap,
|  |  | spill_size
| ) |  |

Value:
struct gdbarch_tdep xtensa_tdep = \
XTENSA_GDBARCH_TDEP_INSTANTIATE(rmap,spill_size);
xtensa_tdep
struct gdbarch_tdep xtensa_tdep
gdbarch_tdep
Definition: aarch64-tdep.h:55
gdbarch_tdep::spill_size
unsigned int spill_size
Definition: xtensa-tdep.h:165
rmap
xtensa_register_t rmap[]
Definition: xtensa-config.c:65

Definition at line 277 of file xtensa-tdep.h.

## ◆ XTENSA_GDBARCH_TDEP_INSTANTIATE

#define XTENSA_GDBARCH_TDEP_INSTANTIATE | ( |  | rmap,
|  |  | spillsz
| ) |  |

Definition at line 228 of file xtensa-tdep.h.

## ◆ XTENSA_MAX_COPROCESSOR

#define XTENSA_MAX_COPROCESSOR 0x10 /* Number of Xtensa coprocessors. */

Definition at line 47 of file xtensa-tdep.h.

Referenced by xtensa_add_reggroups(), xtensa_coprocessor_register_group(), and xtensa_init_reggroups().

## ◆ XTENSA_REGISTER_FLAGS_PRIVILEGED

#define XTENSA_REGISTER_FLAGS_PRIVILEGED 0x0001

Definition at line 135 of file xtensa-tdep.h.

Referenced by xtensa_derive_tdep().

## ◆ XTENSA_REGISTER_FLAGS_READABLE

#define XTENSA_REGISTER_FLAGS_READABLE 0x0002

Definition at line 136 of file xtensa-tdep.h.

## ◆ XTENSA_REGISTER_FLAGS_VOLATILE

#define XTENSA_REGISTER_FLAGS_VOLATILE 0x0008

Definition at line 138 of file xtensa-tdep.h.

## ◆ XTENSA_REGISTER_FLAGS_WRITABLE

#define XTENSA_REGISTER_FLAGS_WRITABLE 0x0004

Definition at line 137 of file xtensa-tdep.h.

## ◆ XTENSA_TDEP_VERSION

#define XTENSA_TDEP_VERSION 0x60

Definition at line 26 of file xtensa-tdep.h.

## ◆ XTREG

#define XTREG | ( |  | index,
|  |  | ofs,
|  |  | bsz,
|  |  | sz,
|  |  | al,
|  |  | tnum,
|  |  | flg,
|  |  | cp,
|  |  | ty,
|  |  | gr,
|  |  | name,
|  |  | fet,
|  |  | sto,
|  |  | mas,
|  |  | ct,
|  |  | x,
|  |  | y
| ) |  |

Value:
{#name, ofs, (xtensa_register_type_t) (ty), \
((xtensa_register_group_t) \
((gr) | ((xtRegisterGroupNCP >> 2) << (cp + 2)))), \
ct, bsz, sz, al, tnum, flg, cp, mas, fet, sto},
name
const char *const name
Definition: aarch64-tdep.c:76
xtensa_register_type_t
xtensa_register_type_t
Definition: xtensa-tdep.h:30
xtRegisterGroupNCP
Definition: xtensa-tdep.h:64
xtensa_register_group_t
xtensa_register_group_t
Definition: xtensa-tdep.h:49
gdbarch_tdep::flg
struct m32c_reg * flg
Definition: m32c-tdep.c:116

Definition at line 126 of file xtensa-tdep.h.

## ◆ XTREG_END

#define XTREG_END

Value:
{0, 0, (xtensa_register_type_t) 0, (xtensa_register_group_t) 0, \
0, 0, 0, 0, -1, 0, 0, 0, 0, 0},
xtensa_register_type_t
xtensa_register_type_t
Definition: xtensa-tdep.h:30
xtensa_register_group_t
xtensa_register_group_t
Definition: xtensa-tdep.h:49

Definition at line 131 of file xtensa-tdep.h.

## Enumeration Type Documentation

## ◆ call_abi_t

enum call_abi_t

Enumerator
CallAbiDefault |
CallAbiCall0Only |

Definition at line 142 of file xtensa-tdep.h.

## ◆ xtensa_register_group_t

enum xtensa_register_group_t

Enumerator
xtRegisterGroupUnknown |
xtRegisterGroupRegFile |
xtRegisterGroupAddrReg |
xtRegisterGroupSpecialReg |
xtRegisterGroupUserReg |
xtRegisterGroupState |
xtRegisterGroupGeneral |
xtRegisterGroupUser |
xtRegisterGroupFloat |
xtRegisterGroupVectra |
xtRegisterGroupSystem |
xtRegisterGroupNCP |
xtRegisterGroupCP0 |
xtRegisterGroupCP1 |
xtRegisterGroupCP2 |
xtRegisterGroupCP3 |
xtRegisterGroupCP4 |
xtRegisterGroupCP5 |
xtRegisterGroupCP6 |
xtRegisterGroupCP7 |

Definition at line 49 of file xtensa-tdep.h.

## ◆ xtensa_register_type_t

enum xtensa_register_type_t

Enumerator
xtRegisterTypeArRegfile |
xtRegisterTypeSpecialReg |
xtRegisterTypeUserReg |
xtRegisterTypeTieRegfile |
xtRegisterTypeTieState |
xtRegisterTypeMapped |
xtRegisterTypeUnmapped |
xtRegisterTypeWindow |
xtRegisterTypeVirtual |
xtRegisterTypeUnknown |

Definition at line 30 of file xtensa-tdep.h.

## ◆ xtensa_target_flags_t

enum xtensa_target_flags_t

Enumerator
xtTargetFlagsNonVisibleRegs |
xtTargetFlagsUseFetchStore |

Definition at line 79 of file xtensa-tdep.h.